package com.demo.entity.po.bak;

import org.springframework.data.mongodb.core.mapping.Document;


/**
 * 设备的配置表
 */
@Document(collection = "DeviceConf")
public class DeviceConf {

    private Boolean risk_file_switch;
    private String white_apps;
    private int period; //动态和传感器信息的上报周期(单位：秒)
    private Boolean status;
    private String os;

    public Boolean getRisk_file_switch() {
        return risk_file_switch;
    }

    public void setRisk_file_switch(Boolean risk_file_switch) {
        this.risk_file_switch = risk_file_switch;
    }

    public String getWhite_apps() {
        return white_apps;
    }

    public void setWhite_apps(String white_apps) {
        this.white_apps = white_apps;
    }

    public int getPeriod() {
        return period;
    }

    public void setPeriod(int period) {
        this.period = period;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }
}
